<?php
/** Swisslinux.org l10n system **/

if(!class_exists(SL_MC_Base)) {
	class SL_MC_Base {
		// Swisslinux messages catalog base class
		// The languages class are derived from this class
		
		var $messages;
		var $links;
		var $lang;
		
		function msg($s) {
			if (isset($this->messages[$s]))
				return $this->messages[$s];
			else {
				error_log("l10n error:LANG:".$this->lang."',message:'$s'");
				return $s; // fallback : we write the give string
				}
			}
			
		function link($l) {
			if (isset($this->links[$l]))
				return $this->links[$l];
			else {
				error_log("l10n error:LINK:".$this->lang."',links:'$l'");
				return "http://www.swisslinux.org"; // fallback : we return the main page
				}
			}
		
		}

	/** Load the getlang function **/
	require_once(SL_INC_PATH.'sl_l10n_getlang.inc.php');

	// Set the constant used for SL.org l10n system and load the corresponding message catalog
	define('SL_LANG',sl_getlang());
	include_once(SL_L10N_PATH.''.SL_LANG.'.inc.php');
	$SL_MC = new SL_MC;
	}
?>