<?php

/** ******************************************* **/
/** This page uses the Swisslinux.org's desgin  **/
/** written by fbianco			        **/
/** ******************************************* **/

/** Define some variables for the Swisslinux.org's design **/
require_once('/home/g-swisslinux/www/static.swisslinux.org/inc/sl_config.inc.php');
define('SL_SECTION', 'wiki'); // Section : main, association, wiki, forum, press, gallery, ...

require_once(SL_INC_PATH.'sl_l10n.inc.php');	// Load the localization objects and functions

/** Load the doctype file **/
require(SL_INC_PATH.'sl_doctype.inc.php');

// include discussion code
@include(DOKU_PLUGIN.'blog/functions.php');

// must be run from within DokuWiki
if (!defined('DOKU_INC')) die();
?>

<head>

  <title>Swisslinux.org's Wiki − 
    <?php echo hsc($lang['mediaselect'])?>
    [<?php echo strip_tags($conf['title'])?>]
  </title>

  <?php tpl_metaheaders()?>

<?php
/** Load head files **/
require(SL_INC_PATH.'sl_head.inc.php');
?>

</head>

<body>
<?php
/** Load files for the top of the body **/
require(SL_INC_PATH.'sl_body_top.inc.php');
require(SL_INC_PATH.'sl_menu_begin.inc.php');

// BEGIN : Secondary menu (wiki, gallery, forum, ...)
?>
				<h1>Wiki</h1>
<?php
tpl_actionlink('edit'); echo "\n";
tpl_actionlink('history'); echo "\n";
tpl_actionlink('index'); echo "\n";
tpl_actionlink('recent'); echo "\n";
tpl_actionlink('admin'); echo "\n";
tpl_actionlink('profile'); echo "\n";
tpl_actionlink('login'); echo "\n";
?>

<?php
// END : Secondary menu

/** Terminate the menu **/
require(SL_INC_PATH.'sl_menu_end.inc.php');
?>

<?php
/** Swisslinux.org's news **/
require(SL_INC_PATH.'sl_news.inc.php');
?>

<?php /** BEGIN Swisslinux.org's main div **/ ?>
		<div id="sl_main">

<!-- BEGIN of DOKUWIKI code -->

<div id="media__manager" class="dokuwiki">
    <div id="media__left">
        <?php html_msgarea()?>
        <h1><?php echo hsc($lang['mediaselect'])?></h1>

        <?php /* keep the id! additional elements are inserted via JS here */?>
        <div id="media__opts"></div>

        <?php tpl_mediaTree() ?>
    </div>

    <div id="media__right">
        <?php tpl_mediaContent() ?>
    </div>
</div>


<!-- END of DOKUWIKI code -->

		</div>
<?php /** END Swisslinux.org's main div **/?>

<?php
/** Terminate the page with footer **/
require(SL_INC_PATH.'sl_body_bottom.inc.php');
?>

</body>
</html>